#include "partition.h"
#include <iostream>
#include <vector>
using namespace std;
std::vector<int> solve(std::vector<int> a) {
    int n = a.size();
    vector<int> answ;
    for (int i = 0; i < n/2; ++i) {
        answ.push_back(i);
    }
    answ.push_back(n - 1);
    for (int i = n / 2; i < n - 1; ++i) {
        answ.push_back(i);
    }
    return answ;
}
/*int main()
{
    return 0;
}*/

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
